#!/bin/bash
dir="${BASH_SOURCE%/*}";

for program in "aes-32bit" "aes-tboxes"
do
    for flags in "-g" ""
    do
        if [ -z "$flags" ]
        then
            mode="performance";
        else
            mode="debug";
            export CPPFLAGS="$flags";
        fi;

        for iterations in "1000000" "10000000"
        do
            echo "$program ($iterations iterations, $mode mode)";
            root="$dir/$program";
            make -C "$root" clean > /dev/null 2>&1;
            make -C "$root" > /dev/null 2>&1;
            "$dir/$program/bin/aes" "$iterations";
            unset CPPFLAGS;
        done;
    done;
done;
